Documentation Index
Fetch the complete documentation index at: https://docs.roundtable.ai/llms.txt
Use this file to discover all available pages before exploring further.
This guide explains how to retrieve session data from the Roundtable Proof-of-Human API. There are three primary methods to access your data: by specific session ID, by user ID, or by tag. A separate endpoint is available to retrieve the full event log for a given session. For more detailed information on the API specification, see the API Reference.
Authentication
All API requests require authentication using your secret API key:
Authorization: Bearer YOUR_SECRET_KEY
If you don’t have a secret key, you can generate one on your account page.
There are three methods to retrieve session risk scores and flags:
Method 1: Retrieve a specific session
When you need data from a specific session, use the session ID to retrieve detailed information:
GET https://api.roundtable.ai/v1/sessions/{sessionId}/report
This route is also available using query parameters:
GET https://api.roundtable.ai/v1/sessions/report?sessionId={sessionId}
Example request
curl -X GET https://api.roundtable.ai/v1/sessions/abc123def456/report \
-H "Authorization: Bearer YOUR_SECRET_KEY"
Query parameter example:
curl -X GET "https://api.roundtable.ai/v1/sessions/report?sessionId=abc123def456" \
-H "Authorization: Bearer YOUR_SECRET_KEY"
This returns the risk score, risk explanation, biometric checks, and device checks for the specified session. The session ID can be retrieved with window.getRoundtableSessionId() in the browser.
Method 2: Retrieve all sessions for a user
To retrieve all sessions associated with a specific user:
GET https://api.roundtable.ai/v1/users/{userId}/sessions
This route is also available using query parameters
GET https://api.roundtable.ai/v1/users/sessions?userId={userId}
Example request
curl -X GET https://api.roundtable.ai/v1/users/user-123/sessions \
-H "Authorization: Bearer YOUR_SECRET_KEY"
Query parameter example:
curl -X GET "https://api.roundtable.ai/v1/users/sessions?userId=user-123" \
-H "Authorization: Bearer YOUR_SECRET_KEY"
This returns an array of session data for the specified user. Each entry is an object consisting of the session data for that user. While in beta, this endpoint is limited to the most recent 100 sessions.
Method 3: Retrieve all sessions for a tag
To retrieve all sessions associated with a specific tag:
GET https://api.roundtable.ai/v1/tags/{tag}/sessions
Example request
curl -X GET https://api.roundtable.ai/v1/tags/tag-123/sessions \
-H "Authorization: Bearer YOUR_SECRET_KEY"
This returns an array of session data for the specified tag. Each entry is an object consisting of the session data for sessions that include the given tag. While in beta, this endpoint is limited to the most recent 100 sessions.
Retrieving the event log for a session
The methods above return risk scores and flags. To retrieve a detailed log of every action a user took during a given session, use the events endpoint:
GET https://api.roundtable.ai/v1/sessions/{sessionId}/events
This route is also available using query parameters:
GET https://api.roundtable.ai/v1/sessions/events?sessionId={sessionId}
Example request
curl -X GET https://api.roundtable.ai/v1/sessions/abc123def456/events \
-H "Authorization: Bearer YOUR_SECRET_KEY"
This returns the full event log for the specified session, including the total event count and each event’s action and timestamp.
Next steps